scala.collection.immutable.RedBlack
object Empty

[source: `scala/collection/immutable/RedBlack.scala`]

`case` `object` Empty
  `extends` Tree[Nothing]`with` Product

Method Summary
`def` | count : Int
`def` | del (k : A) : Tree[Nothing]
`def` | elements : ImmutableIterator[(A, Nothing)]
`def` | elementsSlow : Iterator[(A, Nothing)]
`def` | first : Nothing
`def` | isBlack : Boolean
`def` | isEmpty : Boolean
`def` | last : Nothing
`def` | lookup (k : A) : Tree[Nothing]
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`def` | range (from : Option[A], until : Option[A]) : Empty
`protected def` | readResolve : AnyRef
`def` | smallest : NonEmpty[Nothing]
`override final def` | toString : String
`def` | upd [B](k : A, v : B) : Tree[B]
`def` | visit [T](input : T)(f : (T, A, Nothing) => (Boolean, T)) : (Boolean, T)

Methods inherited from Product
element, arity

Methods inherited from Tree
update, delete

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` isEmpty : Boolean

Overrides
  Tree.isEmpty

`` `def` isBlack : Boolean

Overrides
  Tree.isBlack

`` `def` lookup(k : A) : Tree[Nothing]

Overrides
  Tree.lookup

`` `def` upd[B](k : A, v : B) : Tree[B]

Overrides
  Tree.upd

`` `def` del(k : A) : Tree[Nothing]

Overrides
  Tree.del

`` `def` smallest : NonEmpty[Nothing]

Overrides
  Tree.smallest

`` `def` elementsSlow : Iterator[(A, Nothing)]

Overrides
  Tree.elementsSlow

`` `def` elements : ImmutableIterator[(A, Nothing)]

Overrides
  Tree.elements

`` `def` visit[T](input : T)(f : (T, A, Nothing) => (Boolean, T)) : (Boolean, T)

Overrides
  Tree.visit

`` `def` range(from : Option[A], until : Option[A]) : Empty

Overrides
  Tree.range

`` `def` first : Nothing

Overrides
  Tree.first

`` `def` last : Nothing

Overrides
  Tree.last

`` `def` count : Int

Overrides
  Tree.count

`override final` `def` toString : String

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement

`protected` `def` readResolve : AnyRef